#
# spec file for package smilutils
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           smilutils
Version:        0.3.2+cvs20070731
Release:        22.18
Summary:        Tools for converting and editing digital video (DV) data
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.kinodv.org/article/view/70/1/7
Source0:        %{name}-%{version}.tar.bz2
Patch0:         abuild.diff
# PATCH-FIX-UPSTREAM smilutils-gcc4.3.patch vuntz@opensuse.org -- Taken from Debian and Mandriva, fix build with gcc 4.3
Patch1:         smilutils-gcc4.3.patch
# PATCH-FIX-UPSTREAM smilutils-gcc4.4.patch vuntz@opensuse.org -- Taken from Mandriva, fix build with gcc 4.4
Patch2:         smilutils-gcc4.4.patch
BuildRequires:  SDL-devel
BuildRequires:  gcc-c++
BuildRequires:  libpng-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libdv)
BuildRequires:  pkgconfig(libquicktime)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(x11)

%description
These tools can be used to convert DV to image streams, avi or mov
files and back, duplicate or drop frames and to convert kino projects
to DV, raw audio and raw yuv video

More details can be found using "man smilutils" and at:
http://users.pandora.be/acp/kino/smilutils.html

%prep
%autosetup -n %{name} -p1

%build
autoreconf -fiv
export CFLAGS="%{optflags} -fcommon"
%configure \
  --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/image2raw
%{_bindir}/ppm2raw
%{_bindir}/ppm2webcam
%{_bindir}/ppmeffectv
%{_bindir}/ppmfilter
%{_bindir}/raw2dv
%{_bindir}/raw2image
%{_bindir}/raw2webcam
%{_bindir}/raw2yuv
%{_bindir}/rawmultiply
%{_bindir}/rawplay
%{_bindir}/smil2raw
%{_bindir}/smil2wav
%{_bindir}/smil2yuv
%{_bindir}/tga2raw
%{_bindir}/xwd2raw
%{_libdir}/kino
%{_mandir}/man1/image2raw.1%{?ext_man}
%{_mandir}/man1/ppm2raw.1%{?ext_man}
%{_mandir}/man1/ppm2webcam.1%{?ext_man}
%{_mandir}/man1/raw2dv.1%{?ext_man}
%{_mandir}/man1/raw2image.1%{?ext_man}
%{_mandir}/man1/raw2webcam.1%{?ext_man}
%{_mandir}/man1/raw2yuv.1%{?ext_man}
%{_mandir}/man1/rawmultiply.1%{?ext_man}
%{_mandir}/man1/rawplay.1%{?ext_man}
%{_mandir}/man1/smil2raw.1%{?ext_man}
%{_mandir}/man1/smil2wav.1%{?ext_man}
%{_mandir}/man1/smil2yuv.1%{?ext_man}
%{_mandir}/man1/smilutils.1%{?ext_man}
%{_mandir}/man1/xwd2raw.1%{?ext_man}

%changelog
* Wed Jun 17 2020 Martin Pluskal <mpluskal@suse.com>
- Fix building with gcc10
- Modernise specfile
* Sun Nov 19 2017 mpluskal@suse.com
- Clean up spec file with spec-cleaner
- Use pkgconfig() style of dependencies
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sun Jan 17 2010 vuntz@opensuse.org
- Update to a cvs checkout from 20070731, that is used by Debian
  and Mandriva: this lets us remove a patch and the dependency on
  gdk-pixbuf 1.x.
- Changes since 0.3.0:
  + update playlist code in libkino
  + add option for progress display to smil2raw
  + fix parsing SMIL time values in locales which do not use period
    as decimal point
  + fix compilation against recent version of ffmpeg
- Call autogen.sh instead of autoreconf, since this is cvs checkout
  with no generated configure script.
- Remove imlib-config, imlib-devel, imlib2-devel BuildRequires and
  do not add possibility to use --with-imlib configure flag: imlib
  support has been removed.
- Change gdk-pixbuf-devel BuildRequires to gtk2-devel: the code has
  been ported.
- Add libquicktime-devel BuildRequires.
- Update abuild.diff: since we call autogen.sh anyway, do not
  provide Makefile.in parts in the patch.
- Replace smilutils-includes.patch with smilutils-gcc4.3.patch,
  that is now shared with Debian and Mandriva.
- Add smilutils-gcc4.4.patch to fix build with gcc 4.4. Thanks
  Mandriva!
- Drop kino-1.1.0-playlistsupport.diff: fixed upstream.
- Use makeinstall macro.
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Thu Apr 16 2009 crrodriguez@suse.de
- use --disable-static
* Fri Feb 29 2008 ro@suse.de
- fix build with current gcc
* Sun Sep  2 2007 ro@suse.de
- fix libdir patch for kinoextension
* Thu Aug 16 2007 olh@suse.de
- do not fail if no .la files exist
* Sun Aug 12 2007 olh@suse.de
- remove libdv, libtiff from Requires
  cleanup BuildRequires
  build parallel and run autoreconf
* Fri Jul 13 2007 bk@suse.de
- updated playlist code in libkino to support the newer playlists
* Tue Jan 23 2007 jw@suse.de
- ops, fixed Buildreq.
- avoiding /usr/lib/debug in main package.
* Mon Jan 22 2007 jw@suse.de
- initial checkin.
  Was in state NEW for ages, now I need it.
